This discussion is archived
4 Replies Latest reply: Nov 27, 2012 3:15 AM by Hulk RSS

Does Forms 4.5 supports 10g Database ?

Hulk Newbie
Currently Being Moderated
Hi,

Is it possible to connect to 10g DB from 4.5 forms?

Currently our 4.5 forms is connecting to 8i DB, we are upgrading our db to 10g but have no idea as of now whether we will upgrade our 4.5 version forms to 10.

Thanks in advance.
  • 1. Re: Does Forms 4.5 supports 10g Database ?
    user346369 Expert
    Currently Being Moderated
    Hulk, in a Changes Required When Forms DB Changed, you wrote:
    We are using Oracle forms 5.0
    And I asked "how many users do you have using your forms?" but you never answered. So I ask again: How many users and how many forms do you have?

    I suggested that you advance at least to the latest version of client/server forms: Forms 6i. That version, with Patch 18 installed will connect to Oracle 10g. Without that patch level, though, it will not connect. So it is highly likely that whatever version you are using, Forms 4.5, 5.0, 6.0, or even 6i without the patch, will not connect.

    It is pretty easy to upgrade to Forms 6i: Just open your fmb and compile. Of course all your users need their platforms' software upgraded to match the forms version.

    It is a much bigger step to upgrade to Web Forms, especially for users, since they have to change from their familiar client/server software to using a browser. Although it is easier from the administrative side, since you no longer need to upgrade users' platforms.
  • 2. Re: Does Forms 4.5 supports 10g Database ?
    Hulk Newbie
    Currently Being Moderated
    My apologies for not replying..

    There are around 20 users and 60 forms.

    Your suggestions are very useful.

    But I want to know whether Forms 4.5 and Forms 5.0 can connect to Oracle 10g DB with appropriate patch.
  • 3. Re: Does Forms 4.5 supports 10g Database ?
    user346369 Expert
    Currently Being Moderated
    Hulk wrote:
    But I want to know whether Forms 4.5 and Forms 5.0 can connect to Oracle 10g DB with appropriate patch.
    If Forms 6i will not connect without the last patch applied, it is highly doubtful that earlier versions would connect.

    The only way you can find out for sure is try it yourself.
  • 4. Re: Does Forms 4.5 supports 10g Database ?
    Hulk Newbie
    Currently Being Moderated
    Thanks Steve.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points